Skip to main content
POST
/
user
/
create
cURL
curl --request POST \
  --url https://{portalApiUrl}/user/create \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "john.smith@example.com",
  "firstname": "John",
  "lastname": "Smith",
  "groups": [
    "my-group"
  ],
  "user_organisation_identifier": "123456"
}
'
{
  "status": true,
  "result": {
    "user_id": 123,
    "email": "jsmith@example.com",
    "firstname": "<string>",
    "lastname": "<string>",
    "user_organisation_identifier": "<string>",
    "groups": [
      "<string>"
    ],
    "properties": {},
    "user_created_date": "2023-11-07T05:31:56Z",
    "user_updated_date": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.illuxi.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authentication token obtained from POST /token

Body

application/json
email
string<email>
required

Email address of the user

firstname
string
required

First name

lastname
string
required

Last name

groups
string[]

List of group keys to add the user to

activation_email
string | null

Activation email type to send (e.g. "standard")

user_organisation_identifier
string | null

Organisation-specific identifier for the user

properties
object

Custom property key-value pairs

Response

user created

status
boolean
result
object